Skip to main content
POST
/
api
/
v1
/
agents
/
{agent_id}
/
schedules
/
{schedule_id}
/
pause
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.agent_schedules.pause_agent_schedule(agent_id="<id>", schedule_id="<id>")

    # Handle response
    print(res)
{
  "object": "agent.schedule",
  "id": "<string>",
  "agent_id": "<string>",
  "name": "<string>",
  "status": "active",
  "schedule": {
    "type": "once",
    "run_at": "2023-11-07T05:31:56Z",
    "timezone": "UTC"
  },
  "input": "<string>",
  "conversation": "<string>",
  "previous_response_id": "<string>",
  "metadata": {},
  "temporal_schedule_id": "<string>",
  "last_run_at": "2023-11-07T05:31:56Z",
  "last_run_id": "<string>",
  "run_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

agent_id
string
required
schedule_id
string
required

Response

Paused schedule.

object
enum<string>
required
Available options:
agent.schedule
id
string
required
agent_id
string
required
name
string | null
required
status
enum<string>
required
Available options:
active,
paused,
completed,
deleted
schedule
object
required
input
required
conversation
required
previous_response_id
string | null
required
metadata
object
required
temporal_schedule_id
string | null
required
last_run_at
string<date-time> | null
required
last_run_id
string | null
required
run_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
deleted_at
string<date-time> | null
required